/*
	Name: Doggins
	Date: December 2024
	Version: 4.0
	Author: Brooke Condolora
	
	This website and its components are protected by copyright from both commercial and personal use.
	
	© Brain&Brain LLC
	
*/

@import url("reset.css");

@font-face {
	font-family: 'proximanova';
	src: url('../fonts/proximanova-regular-webfont.eot');
	src: url('../fonts/proximanova-regular-webfontd41d.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/proximanova-regular-webfont.woff2') format('woff2'),
		 url('../fonts/proximanova-regular-webfont.woff') format('woff'),
		 url('../fonts/proximanova-regular-webfont.ttf') format('truetype'),
		 url('../fonts/proximanova-regular-webfont.svg#proxima_novaregular') format('svg');
	font-weight: normal;
	font-style: normal;

}
@font-face {
	font-family: 'proximanova';
	src: url('../fonts/proximanova-regularit-webfont.eot');
	src: url('../fonts/proximanova-regularit-webfontd41d.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/proximanova-regularit-webfont.woff2') format('woff2'),
		 url('../fonts/proximanova-regularit-webfont.woff') format('woff'),
		 url('../fonts/proximanova-regularit-webfont.ttf') format('truetype'),
		 url('../fonts/proximanova-regularit-webfont.svg#proxima_novaitalic') format('svg');
	font-weight: normal;
	font-style: italic;

}
@font-face {
	font-family: 'proximanova';
	src: url('../fonts/proximanova-medium-webfont.eot');
	src: url('../fonts/proximanova-medium-webfontd41d.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/proximanova-medium-webfont.woff2') format('woff2'),
		 url('../fonts/proximanova-medium-webfont.woff') format('woff'),
		 url('../fonts/proximanova-medium-webfont.ttf') format('truetype'),
		 url('../fonts/proximanova-medium-webfont.svg#proxima_novamedium') format('svg');
	font-weight: 500;
	font-style: normal;

}
@font-face {
	font-family: 'proximanova';
	src: url('../fonts/proximanova-semibold-webfont.eot');
	src: url('../fonts/proximanova-semibold-webfontd41d.eot?#iefix') format('embedded-opentype'),
		 url('../fonts/proximanova-semibold-webfont.woff2') format('woff2'),
		 url('../fonts/proximanova-semibold-webfont.woff') format('woff'),
		 url('../fonts/proximanova-semibold-webfont.ttf') format('truetype'),
		 url('../fonts/proximanova-semibold-webfont.svg#proxima_novasemibold') format('svg');
	font-weight: 700;
	font-style: normal;

}




/*

	BROWSER OVERRIDES
	
*/

* {
	box-sizing: border-box;
	-moz-osx-font-smoothing: grayscale; /* Font weight in Firefox. */
	-webkit-font-smoothing: antialiased;  /* Fixes font weight in Safari. */
}

input[type="text"], input[type="email"], input[type="search"], input[type="password"] {
	-webkit-appearance: caret;
	-moz-appearance: caret;
}

a,
a img,
img {
	outline: none;
	-webkit-tap-highlight-color: rgba(0,0,0,0);
}




/*

	GLOBAL

*/

:root {
	--blue: rgba(0,113,147,1);
	--rust: rgba(215,138,66,1);
	--gray100: rgba(102,102,102,1);
	--gray50: rgba(102,102,102,.5);
}

html, body {
	height: 100%;
}

body {
	background-color: var(--blue);
	font-family: 'proximanova', sans-serif;
	font-size: 100%;
	color: white;
	margin: 0 auto;
}

a {
	color: rgba(255, 255, 255, .5);
	text-decoration: none;
	transition: all 200ms ease-in;
}

a:hover {
	color: rgba(255, 255, 255, 1);
}

p {
	font-size: 140%;
	line-height: 1.6;
	padding-bottom: 1.5rem;
}

em {
	font-style: italic;
}

strong {
	font-weight: 700;
}

img {
	height: auto;
	margin: 0 auto;
	max-width: 100%;
	width: auto;
}

ul {
	list-style-type: none;
	padding-left: 0;
	margin-left: 0;
}

h1 {
	font-size: 180%;
	font-weight: normal;
}

h2 {
	font-size: 100%;
	font-weight: 700;
	text-transform: uppercase;
}




/* LAYOUT */

#wrap {
	background: url('https://dogginsgame.com/images/stars.svg') no-repeat center top;
	background-size: 1222px 418px;
	display: grid;
	grid-template-areas:
		'header'
		'main'
		'elsewhere'
		'footer';
	gap: 6rem;
	place-items: center;
}

header {
	display: grid;
	max-width: 1280px;
	padding-top: 6rem;
	gap: 4rem;
	grid-area: header;
	width: 80%;
}

main {
	display: grid;
	gap: 6rem;
	grid-area: main;
	max-width: 1280px;
	justify-items: center;
	width: 80%;
}

section#elsewhere {
	background: url('https://dogginsgame.com/images/moon.svg') no-repeat center bottom;
	background-size: 1280px 300px;
	display: grid;
	gap: 3rem;
	grid-area: elsewhere;
	grid-template-rows: auto auto;
	grid-auto-flow: column;
	justify-self: center;
	margin-bottom: -6rem;
	min-height: 300px;
	place-content: center;
	text-align: center;
	width: 100%;
}

footer {
	background-color: white;
	display: grid;
	grid-area: footer;
	padding: 6rem 0;
	place-content: center;
	text-align: center;
	width: 100%;
}




/* HEADER */

header h1 {
	line-height: 1.6;
}

header a.more {
	display: inline-block;
	font-size: 60%;
	font-weight: bold;
	margin-left: 1rem;
	opacity: .5;
	text-transform: uppercase;
}

header a.more:hover {
	opacity: 1;
}

a#logo {
	display: block;
	background: url('https://dogginsgame.com/images/logo.svg') no-repeat center center;
	background-size: 500px 200px;
	height: 200px;
	margin: 0 auto;
	width: 500px;
}




/*
	MAIN
*/

/* Platforms */

#platforms {
	display: grid;
	gap: 2rem;
	grid-template-columns: 1fr 3fr 1fr;
	place-items: center;
	text-align: center;
	width: 100%;
}

.pawprint {
	content: url(https://dogginsgame.com/images/pawprint.svg);
	height: 48px;
	opacity: .5;
	width: 42px
}

.pawprint:first-of-type {
	justify-self: end;
}

.pawprint:last-of-type {
	justify-self: start;
}

#platforms p#heading {
	font-size: 100%;
	font-weight: 700;
	padding-bottom: 1rem;
	text-transform: uppercase;
}

#platforms p:last-of-type {
	font-size: 220%;
	line-height: 1;
	padding-bottom: 2rem;
}

#stores {
	justify-self: center;
	display: grid;
	gap: 2rem;
	grid-auto-flow: column;
	font-size: 120%;
	font-weight: 700;
}

/* #stores {
	justify-self: center;
	display: grid;
	gap: 2rem;
	grid-auto-flow: column;
	font-size: 120%;
	font-weight: 700;
} */

#stores a {
	padding: 0;
}

/* Trailer */

section#trailer {
	margin: 0 auto;
	width: 100%;
}

/* Awards */

#awards {
	display: grid;
	justify-self: center;
	gap: 4rem;
	grid-auto-flow: column;
	text-align: center;
	width: 100%;
}

#awards div {
	transition: all 200ms ease-in;
}

#awards em:last-of-type::after {
	content: url(https://dogginsgame.com/images/award.svg);
	display: block;
	margin: 0 auto;
	margin-top: 1.5rem;
}

#awards em {
	display: block;
	font-size: 120%;
	font-weight: bold;
	opacity: .75;
}

#awards a {
	display: block;
	cursor: pointer;
	font-size: 180%;
	padding: 1rem 0;
}

/* Press */

section#press {
	display: grid;
	gap: 2rem;
}

section#press p {
	font-size: 160%;
}

/* Screenshots */

section#screenshots {
	display: grid;
	gap: 4rem;
	grid-template-columns: 1fr 1fr;
}

section#screenshots img {
	border: 2px solid rgba(255, 255, 255, .5);
	transition: all 200ms ease-in;
}

section#screenshots img:hover {
	border: 2px solid rgba(255, 255, 255, 1);
}

/* Elsewhere */

section#elsewhere #newsletter {
	grid-row: 1;
	grid-column: 1 / 4;
}

section#elsewhere a {
	color: var(--gray50);
	font-size: 140%;
	font-weight: bold;
	text-align: center;
	text-transform: uppercase;
}

section#elsewhere a:hover {
	color: var(--gray100);
}

/* FOOTER */

footer span#tagline {
	color: #6A594C;
	font-family: 'proximanova', sans-serif;
	font-size: 100%;
	font-weight: 700;
	opacity: .75;
	text-transform: uppercase;
}

a#logo-brainandbrain {
	background: url('https://dogginsgame.com/images/logo_brainandbrain.svg') no-repeat 0 0;
	background-size: 250px auto;
	background-position: center 3px;
	height: 148.83px;
	margin: 0 auto;
	margin-top: 1em;
	width: 250px;
}

a#logo-brainandbrain:hover,
a#logo-brainandbrain.hover {
	background-position: center 0;
	color: white;
}




/* ABOUT */

section#about h2 {
	margin: 2rem 0 1.5rem 0;
}

main img#characterlineup {
	display: block;
	height: auto;
	margin: 0 auto;
	max-width: 1000px;
	width: 100%;
}




/* ERROR PAGE */

section#error {
	margin: 0 auto;
	text-align: center;
	width: 100%;
}

section#error h1 {
	margin-bottom: 2rem;
}

#thegiantno {
	background: url('https://dogginsgame.com/images/thegiantno-bg.png') no-repeat left top;
	background-size: 710px 520px;
	height: 520px;
	margin: 0 auto;
	width: 710px;
}

#thegiantno img {
	height: 520px;
	width: 710px;
}




/* MEDIA QUERIES */

/* Extra Large */

@media only screen 
and (min-width : 1280px) {
	
	section#elsewhere {
		background: none;
		margin-bottom: 0;
		min-height: auto;
	}
	
	section#elsewhere a {
		color: rgba(255, 255, 255, .5);
	}


}

@media only screen 
and (max-width : 1024px) {

	h1 {
		font-size: 170%;
	}

}

@media only screen 
and (max-width : 930px) {
	
	h1 {
		font-size: 170%;
	}
	
	.hide-mobile {
		display: none !important;
	}
	
	#awards {
		grid-auto-flow: row;
	}
	
	#thegiantno {
		background-size: 500px 366px;
		height: 366px;
		width: 500px;
	}
	
	#thegiantno img {
		height: 366px;
		width: 500px;
	}
		
}

/* Landscape iPhone SE and Down */

@media only screen 
and (max-width : 568px) {
	
	a#logo {
		background-size: 300px 120px;
		height: 120px;
		width: 300px;
	}
	
	h1 {
		font-size: 140%;
	}
	
	header a.more {
		font-size: 70%;
		display: block;
		margin: 0 auto;
		margin-top: 1rem;
		text-align: center;
	}
	
	#platforms {
		grid-template-columns: 1fr;
	}

	
	.pawprint,
	section#screenshots,
	#awards {
		display: none;
	}
	
	#thegiantno {
		background-size: 420px 308px;
		height: 308px;
		width: 420px;
	}
	
	#thegiantno img {
		height: 308px;
		width: 420px;
	}
		
}